com.icesoft.faces.facelets.component.editablelist

## Class EditableList

- java.lang.Object
- - com.icesoft.faces.facelets.component.editablelist.EditableList

- All Implemented Interfaces:
    java.io.Serializable

      public class EditableList
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditableList()`
    `EditableList(boolean enforceUnique)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewItem(javax.faces.event.ActionEvent evt)`
    `java.util.List` | `getList()`
    `java.util.List` | `getListItems()`
    `java.lang.String` | `getNewItem()`
    `java.lang.String[]` | `getSelectedItems()`
    `void` | `remove(javax.faces.event.ActionEvent evt)`
    `void` | `setList(java.util.List newItems)`
    `void` | `setNewItem(java.lang.String newItem)`
    `void` | `setSelectedItems(java.lang.String[] selectedItems)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditableList

          public EditableList()

    - #### EditableList

          public EditableList(boolean enforceUnique)

  - ### Method Detail

    - #### addNewItem

          public void addNewItem(javax.faces.event.ActionEvent evt)

    - #### remove

          public void remove(javax.faces.event.ActionEvent evt)

    - #### setList

          public void setList(java.util.List newItems)

    - #### getNewItem

          public java.lang.String getNewItem()

    - #### setNewItem

          public void setNewItem(java.lang.String newItem)

    - #### getSelectedItems

          public java.lang.String[] getSelectedItems()

    - #### setSelectedItems

          public void setSelectedItems(java.lang.String[] selectedItems)

    - #### getList

          public java.util.List getList()

    - #### getListItems

          public java.util.List getListItems()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.